@import "../../../common/variables";

.editors-section {
  margin-top: 150px;

  .section__title {
    color: $color-dark;
  }

  .editors-section__list {
    display: flex;
    gap: 20px;
    margin-top: 70px;
    flex-wrap: wrap;

    .editors-section__item {
      background-image: url("../../../../images/articles/articleImg_9.png");
      background-repeat: no-repeat;
      background-size: cover;
      background-position: center;
      width: 420px;
      height: 350px;
      padding: 0 40px 42px 40px;
      display: flex;
      flex-direction: column;
      justify-content: flex-end;
      gap: 15px;
      position: relative;
      margin: 0 auto;

      &:nth-child(2) {
        background-image: url("../../../../images/articles/articleImg_10.png");
      }
      &:nth-child(3) {
        background-image: url("../../../../images/articles/articleImg_11.png");
      }

      .category-badge {
        position: absolute;
        top: 20px;
        right: 20px;
      }

      .editors-section__item-date {
        font-size: 12px;
        line-height: 15px;
        color: $color-white-transparent;
      }

      .editors-section__item-title {
        font-weight: 700;
        font-size: 18px;
        line-height: 25px;
        color: $color-white;
      }

      .editors-section__item-description {
        font-size: 12px;
        line-height: 20px;
        color: $color-white-transparent;
      }
    }
  }
}
